<?php

	$barras = '34191090081331925722960722260001994760000051952';
    class Boletos
    {
        function vencimentoBoleto($fator)
        {
            $anoBase = '1997-10-07'; // Defina a data no formato 'AAAA-MM-DD'
            $diasASomar = $fator;
            $data = new DateTime($anoBase);
            $data->add(new DateInterval("P{$diasASomar}D"));
            $novaData = $data->format('Y-m-d'); // Formato final da nova data

            return $novaData;
        }
    }



    $boleto = new Boletos();


    echo $boleto->vencimentoBoleto(9476);